#include "chdecl.h"
void CH_chcode_chencode(current, sched, cop)
#define ARGUMENTS 20
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb3;
    case 2: goto c4;
    case 3: goto cb15;
    case 4: goto c16;
    case 5: goto c32;
    case 6: goto cb58;
    case 7: goto c59;
    case 8: goto c62;
    case 9: goto cb67;
    case 10: goto c68;
    case 11: goto c81;
    case 12: goto c85;
    case 13: goto cb88;
    case 14: goto c89;
    case 15: goto c95;
    case 16: goto cb115;
    case 17: goto c116;
    case 18: goto c124;
    case 19: goto c126;
    case 20: goto c132;
    case 21: goto c136;
    case 22: goto cb156;
    case 23: goto c157;
    case 24: goto c163;
    case 25: goto cb176;
    case 26: goto c177;
    case 27: goto c186;
    case 28: goto cb207;
    case 29: goto c208;
    case 30: goto c212;
    case 31: goto c215;
    case 32: goto c219;
    case 33: goto cb221;
    case 34: goto c222;
    case 35: goto c226;
    case 36: goto c229;
    case 37: goto cb237;
    case 38: goto c238;
    case 39: goto c239;
    case 40: goto c244;
    case 41: goto c250;
    case 42: goto c290;
    case 43: goto c302;
    case 44: goto c309;
    case 45: goto c321;
    case 46: goto c328;
    case 47: goto c340;
    case 48: goto c342;
    case 49: goto c368;
    case 50: goto c380;
    case 51: goto c390;
    case 52: goto c392;
    case 53: goto cb447;
    case 54: goto c448;
    case 55: goto cb450;
    case 56: goto c451;
    case 57: goto c453;
    case 58: goto cb458;
    case 59: goto c459;
    case 60: goto c460;
    case 61: goto c463;
    case 62: goto c469;
    case 63: goto cb472;
    case 64: goto c473;
    case 65: goto c475;
    case 66: goto cb498;
    case 67: goto c499;
    case 68: goto c500;
    case 69: goto c502;
    case 70: goto c505;
    case 71: goto c510;
    case 72: goto c512;
    case 73: goto c530;
    case 74: goto c534;
    case 75: goto cb546;
    case 76: goto c547;
    case 77: goto c551;
    case 78: goto c553;
    case 79: goto c559;
    case 80: goto c565;
    case 81: goto c567;
    case 82: goto c574;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb3:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c4:
/* prog_lit 4 , 1 */
  if ((ch_returncode = che_prog_lit(DEF(4),QUAL(1),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 5 4 , 2 */
  if ((ch_returncode = che_procedure(DEF(5),DEF(4),QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* discard 4 */
  (*(REF(4).tsdr)->finalize)(REF(4).value,F_DISCARD,sched);
  REF(4).tsdr = & dr_bottom;
/* move 6 5 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6) = REF(5);
  REF(5).tsdr = & dr_bottom;
/* prog_lit 7 , 3 */
  if ((ch_returncode = che_prog_lit(DEF(7),QUAL(3),sched)) != Normal) 
     goto ch_raise_exception;
/* procedure 8 7 , 4 */
  if ((ch_returncode = che_procedure(DEF(8),DEF(7),QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* move 9 8 */
  (*(REF(9).tsdr)->finalize)(REF(9).value,F_DISCARD,sched);
  REF(9) = REF(8);
  REF(8).tsdr = & dr_bottom;
/* prog_lit 10 , 5 */
  if ((ch_returncode = che_prog_lit(DEF(10),QUAL(5),sched)) != Normal) 
     goto ch_raise_exception;
/* create 11 10 , 6 */
  if ((ch_returncode = che_create(DEF(11),DEF(10),QUAL(6),sched)) != Normal)
     goto ch_raise_exception;
/* discard 10 */
  (*(REF(10).tsdr)->finalize)(REF(10).value,F_DISCARD,sched);
  REF(10).tsdr = & dr_bottom;
  current->ip = 3;
cb15:
/* call 11 12 , 7 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(11),
          arguments[1] = DEF(12),
          arguments[1+1] = nil,& arguments[0]),QUAL(7),sched)) != Normal)
     goto ch_raise_exception;
  return;
c16:
/* noop */
  
/* new_record 13 , 7 */
  if ((ch_val.record = new_record(7)) == nil) goto ch_depletion;
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).value = ch_val; REF(13).tsdr = & dr_record;
/* copy 13.6 3.2 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(2).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(13)DOT(6).tsdr)->finalize)(REF(13)DOT(6).value,F_DISCARD,sched);
  REF(13)DOT(6).value = ch_val;
  REF(13)DOT(6).tsdr = & dr_table;
/* copy 13.5 3.3 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(3).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(13)DOT(5).tsdr)->finalize)(REF(13)DOT(5).value,F_DISCARD,sched);
  REF(13)DOT(5).value = ch_val;
  REF(13)DOT(5).tsdr = & dr_table;
/* copy 13.4 3.1 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(13)DOT(4).tsdr)->finalize)(REF(13)DOT(4).value,F_DISCARD,sched);
  REF(13)DOT(4).value = ch_val;
  REF(13)DOT(4).tsdr = & dr_table;
/* chs_lit 14 , "select: switch (SELECTOR) {" */
  if( !chs_lit(DEF(14),"select: switch (SELECTOR) {") ) goto ch_depletion;
/* new_table 15 , 8 */
  if ((ch_returncode = che_new_table(DEF(15),QUAL(8),sched)) != Normal) 
     goto ch_raise_exception;
/* chs_lit 16 , "  }" */
  if( !chs_lit(DEF(16),"  }") ) goto ch_depletion;
/* merge 15 16 */
  if ((ch_returncode = mergefunc(DEF(15),DEF(16),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 17 , 10 */
  REF(17).value.ord_enum = 10;
  REF(17).tsdr = & dr_ord_enumeration;
/* insert 15 17 */
  if ((ch_returncode = insertfunc(DEF(15),DEF(17),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* boolean 18 , FALSE */
  REF(18).value.boolean = FALSE;
  REF(18).tsdr = & dr_boolean;
/* copy 19 3.1 */
  if((ch_returncode = cp_table(& ch_val, REF(3)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).value = ch_val;
  REF(19).tsdr = & dr_table;
/* initget 20 19 , 0,0 */
  (*(REF(20).tsdr)->finalize)(REF(20).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(20),DEF(19),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c32:
/* get_or_goto 20 19 , 567 */
  if ((ch_returncode = get_selected_object(DEF(20),DEF(19),sched)) != Normal)
     goto c567;
/* discard 21 */
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).tsdr = & dr_bottom;
/* position 13.0 20 */
  ch_frame = get_selector_frame(DEF(20),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(13)DOT(0).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(13)DOT(0).tsdr = &dr_integer;
/* new_table 22 , 9 */
  if ((ch_returncode = che_new_table(DEF(22),QUAL(9),sched)) != Normal) 
     goto ch_raise_exception;
/* lookup_at 23 3.2 20.1 */
  if((ch_i = REF(20)DOT(1).value.integer) < 0 || ch_i >= (ch_t = 
    REF(3)DOT(2).value.table)->size) goto ch_notfound;
  (*(REF(23).tsdr)->finalize)(REF(23).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(23).value,ch_i);
  REF(23).tsdr = qdatarepmap[ch_t->tsdr->number];
/* equal 24 23.4 =(4) */
  REF(24).value.boolean = (REF(23)DOT(4).value.ord_enum == 4);
  REF(24).tsdr = & dr_boolean;
/* equal 25 23.0 =(113) */
  REF(25).value.boolean = (REF(23)DOT(0).value.enumeration == 113);
  REF(25).tsdr = & dr_boolean;
/* and 26 24 25 */
  REF(26).value.boolean = REF(24).value.boolean&REF(25).value.boolean;
  REF(26).tsdr = & dr_boolean;
/* not 27 26 */
  REF(27).value.boolean = !REF(26).value.boolean;
  REF(27).tsdr = & dr_boolean;
/* branch_false 27 , 132 */
  if ( !REF(27).value.boolean ) goto c132;
/* equal 28 23.4 =(1) */
  REF(28).value.boolean = (REF(23)DOT(4).value.ord_enum == 1);
  REF(28).tsdr = & dr_boolean;
/* branch_false 28 , 57 */
  if ( !REF(28).value.boolean ) goto c57;
/* notequal 29 23.6 =(0) */
  REF(29).value.boolean = (REF(23)DOT(6).value.integer != 0);
  REF(29).tsdr = & dr_boolean;
/* size 30 20.0 */
  REF(30).value.integer = REF(20)DOT(0).value.table->size;
  REF(30).tsdr = & dr_integer;
/* igt 31 30 =(1) */
  REF(31).value.boolean = (REF(30).value.integer > 1);
/* or 32 29 31 */
  REF(32).value.boolean = REF(29).value.boolean|REF(31).value.boolean;
  REF(32).tsdr = & dr_boolean;
/* or 28 32 18 */
  REF(28).value.boolean = REF(32).value.boolean|REF(18).value.boolean;
  REF(28).tsdr = & dr_boolean;
c57:
/* scan_position 33 23 3.2 */
  ch_t = REF(3)DOT(2).value.table;
  (*(ch_t->tbls[ORDER_TBL].des->foreach))
    (ch_t,ORDER_TBL,do_table_position,& ch_ctr,CONT_FOREACH,REF(23).value);
  REF(33).value.integer = (dfd_integer) ch_ctr;
  REF(33).tsdr = & dr_integer;
  current->ip = 6;
cb58:
/* call 3.0.12 33 34 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(12),
          arguments[1] = DEF(33),
          arguments[2] = DEF(34),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c59:
/* noop */
  
/* copy 35 20.0 */
  if((ch_returncode = cp_table(& ch_val, REF(20)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).value = ch_val;
  REF(35).tsdr = & dr_table;
/* initget 36 35 , 0,0 */
  (*(REF(36).tsdr)->finalize)(REF(36).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(36),DEF(35),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c62:
/* get_or_goto 36 35 , 81 */
  if ((ch_returncode = get_selected_object(DEF(36),DEF(35),sched)) != Normal)
     goto c81;
/* ordenum_lit 37 , 10 */
  REF(37).value.ord_enum = 10;
  REF(37).tsdr = & dr_ord_enumeration;
/* insert 14 37 */
  if ((ch_returncode = insertfunc(DEF(14),DEF(37),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* chs_lit 38 , "    case " */
  if( !chs_lit(DEF(38),"    case ") ) goto ch_depletion;
/* merge 14 38 */
  if ((ch_returncode = mergefunc(DEF(14),DEF(38),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 9;
cb67:
/* call 3.0.12 36 39 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(12),
          arguments[1] = DEF(36),
          arguments[2] = DEF(39),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c68:
/* merge 14 39 */
  if ((ch_returncode = mergefunc(DEF(14),DEF(39),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* chs_lit 40 , ": goto c" */
  if( !chs_lit(DEF(40),": goto c") ) goto ch_depletion;
/* merge 14 40 */
  if ((ch_returncode = mergefunc(DEF(14),DEF(40),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch_false 28 , 76 */
  if ( !REF(28).value.boolean ) goto c76;
/* notequal . 36 13.0 , 76 */
  if ( REF(36).value.integer != REF(13)DOT(0).value.integer ) goto c76;
/* ordenum_lit 41 , 98 */
  REF(41).value.ord_enum = 98;
  REF(41).tsdr = & dr_ord_enumeration;
/* insert 14 41 */
  if ((ch_returncode = insertfunc(DEF(14),DEF(41),FALSE,0)) != Normal)
     goto ch_raise_exception;
c76:
/* copy 42 34 */
  if((ch_returncode = cp_table(& ch_val, REF(34).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(42).tsdr)->finalize)(REF(42).value,F_DISCARD,sched);
  REF(42).value = ch_val;
  REF(42).tsdr = & dr_table;
/* merge 14 42 */
  if ((ch_returncode = mergefunc(DEF(14),DEF(42),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 43 , 59 */
  REF(43).value.ord_enum = 59;
  REF(43).tsdr = & dr_ord_enumeration;
/* insert 14 43 */
  if ((ch_returncode = insertfunc(DEF(14),DEF(43),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 62 */
   goto c62;
c81:
/* endget 36 35 */
  end_selector(DEF(36),DEF(35),sched,GET);
/* discard 35 */
  (*(REF(35).tsdr)->finalize)(REF(35).value,F_DISCARD,sched);
  REF(35).tsdr = & dr_bottom;
/* copy 44 20.4 */
  if((ch_returncode = cp_table(& ch_val, REF(20)DOT(4).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).value = ch_val;
  REF(44).tsdr = & dr_table;
/* initget 45 44 , 0,0 */
  (*(REF(45).tsdr)->finalize)(REF(45).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(45),DEF(44),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c85:
/* get_or_goto 45 44 , 95 */
  if ((ch_returncode = get_selected_object(DEF(45),DEF(44),sched)) != Normal)
     goto c95;
/* ordenum_lit 46 , 99 */
  REF(46).value.ord_enum = 99;
  REF(46).tsdr = & dr_ord_enumeration;
/* insert 22 46 */
  if ((ch_returncode = insertfunc(DEF(22),DEF(46),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 13;
cb88:
/* call 3.0.12 45 47 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(12),
          arguments[1] = DEF(45),
          arguments[2] = DEF(47),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c89:
/* merge 22 47 */
  if ((ch_returncode = mergefunc(DEF(22),DEF(47),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 48 , 58 */
  REF(48).value.ord_enum = 58;
  REF(48).tsdr = & dr_ord_enumeration;
/* insert 22 48 */
  if ((ch_returncode = insertfunc(DEF(22),DEF(48),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 49 , 10 */
  REF(49).value.ord_enum = 10;
  REF(49).tsdr = & dr_ord_enumeration;
/* insert 22 49 */
  if ((ch_returncode = insertfunc(DEF(22),DEF(49),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 85 */
   goto c85;
c95:
/* endget 45 44 */
  end_selector(DEF(45),DEF(44),sched,GET);
/* discard 44 */
  (*(REF(44).tsdr)->finalize)(REF(44).value,F_DISCARD,sched);
  REF(44).tsdr = & dr_bottom;
/* branch_false 28 , 124 */
  if ( !REF(28).value.boolean ) goto c124;
/* notequal 50 23.6 =(0) */
  REF(50).value.boolean = (REF(23)DOT(6).value.integer != 0);
  REF(50).tsdr = & dr_boolean;
/* size 51 20.0 */
  REF(51).value.integer = REF(20)DOT(0).value.table->size;
  REF(51).tsdr = & dr_integer;
/* igt 52 51 =(1) */
  REF(52).value.boolean = (REF(51).value.integer > 1);
/* or 53 50 52 */
  REF(53).value.boolean = REF(50).value.boolean|REF(52).value.boolean;
  REF(53).tsdr = & dr_boolean;
/* branch_false 53 , 113 */
  if ( !REF(53).value.boolean ) goto c113;
/* ordenum_lit 54 , 99 */
  REF(54).value.ord_enum = 99;
  REF(54).tsdr = & dr_ord_enumeration;
/* insert 22 54 */
  if ((ch_returncode = insertfunc(DEF(22),DEF(54),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 55 34 */
  if((ch_returncode = cp_table(& ch_val, REF(34).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(55).tsdr)->finalize)(REF(55).value,F_DISCARD,sched);
  REF(55).value = ch_val;
  REF(55).tsdr = & dr_table;
/* merge 22 55 */
  if ((ch_returncode = mergefunc(DEF(22),DEF(55),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 56 , 58 */
  REF(56).value.ord_enum = 58;
  REF(56).tsdr = & dr_ord_enumeration;
/* insert 22 56 */
  if ((ch_returncode = insertfunc(DEF(22),DEF(56),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 57 , 10 */
  REF(57).value.ord_enum = 10;
  REF(57).tsdr = & dr_ord_enumeration;
/* insert 22 57 */
  if ((ch_returncode = insertfunc(DEF(22),DEF(57),FALSE,0)) != Normal)
     goto ch_raise_exception;
c113:
/* chs_lit 58 , "  current->ip = " */
  if( !chs_lit(DEF(58),"  current->ip = ") ) goto ch_depletion;
/* merge 22 58 */
  if ((ch_returncode = mergefunc(DEF(22),DEF(58),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 16;
cb115:
/* call 3.0.12 23.5 59 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(12),
          arguments[1] = DEF(23)DOT(5),
          arguments[2] = DEF(59),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c116:
/* merge 22 59 */
  if ((ch_returncode = mergefunc(DEF(22),DEF(59),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 60 , 59 */
  REF(60).value.ord_enum = 59;
  REF(60).tsdr = & dr_ord_enumeration;
/* insert 22 60 */
  if ((ch_returncode = insertfunc(DEF(22),DEF(60),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 61 , 10 */
  REF(61).value.ord_enum = 10;
  REF(61).tsdr = & dr_ord_enumeration;
/* insert 22 61 */
  if ((ch_returncode = insertfunc(DEF(22),DEF(61),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* chs_lit 62 , "cb" */
  if( !chs_lit(DEF(62),"cb") ) goto ch_depletion;
/* merge 22 62 */
  if ((ch_returncode = mergefunc(DEF(22),DEF(62),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 126 */
   goto c126;
c124:
/* ordenum_lit 63 , 99 */
  REF(63).value.ord_enum = 99;
  REF(63).tsdr = & dr_ord_enumeration;
/* insert 22 63 */
  if ((ch_returncode = insertfunc(DEF(22),DEF(63),FALSE,0)) != Normal)
     goto ch_raise_exception;
c126:
/* copy 64 34 */
  if((ch_returncode = cp_table(& ch_val, REF(34).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(64).tsdr)->finalize)(REF(64).value,F_DISCARD,sched);
  REF(64).value = ch_val;
  REF(64).tsdr = & dr_table;
/* merge 22 64 */
  if ((ch_returncode = mergefunc(DEF(22),DEF(64),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 65 , 58 */
  REF(65).value.ord_enum = 58;
  REF(65).tsdr = & dr_ord_enumeration;
/* insert 22 65 */
  if ((ch_returncode = insertfunc(DEF(22),DEF(65),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 66 , 10 */
  REF(66).value.ord_enum = 10;
  REF(66).tsdr = & dr_ord_enumeration;
/* insert 22 66 */
  if ((ch_returncode = insertfunc(DEF(22),DEF(66),FALSE,0)) != Normal)
     goto ch_raise_exception;
c132:
/* discard 34 */
  (*(REF(34).tsdr)->finalize)(REF(34).value,F_DISCARD,sched);
  REF(34).tsdr = & dr_bottom;
/* copy 21 20.3 */
  if((ch_returncode = cp_table(& ch_val, REF(20)DOT(3).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(21).tsdr)->finalize)(REF(21).value,F_DISCARD,sched);
  REF(21).value = ch_val;
  REF(21).tsdr = & dr_table;
/* ilit 13.1 , -1 */
  REF(13)DOT(1).value.integer = -1;
  REF(13)DOT(1).tsdr = & dr_integer;
c136:
/* discard 67 */
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).tsdr = & dr_bottom;
/* discard 68 */
  (*(REF(68).tsdr)->finalize)(REF(68).value,F_DISCARD,sched);
  REF(68).tsdr = & dr_bottom;
/* discard 69 */
  (*(REF(69).tsdr)->finalize)(REF(69).value,F_DISCARD,sched);
  REF(69).tsdr = & dr_bottom;
/* size 70 21 */
  REF(70).value.integer = REF(21).value.table->size;
  REF(70).tsdr = & dr_integer;
/* equal . 70 =(0) , 534 */
  if ( REF(70).value.integer == 0 ) goto c534;
/* privatize 21 */
  if (REF(21).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(21))) != Normal)
       goto ch_raise_exception;
/* lookup_at 71 21 =(0) */
  if ( !((ch_t = REF(21).value.table)->size) ) goto ch_notfound;
  (*(REF(71).tsdr)->finalize)(REF(71).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(71).value,0);
  REF(71).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 13.1 21 =(0) */
  if ((ch_returncode = remove_at_func(DEF(13)DOT(1),DEF(21),0)) != Normal)
     goto ch_raise_exception;
/* lookup_at 72 3.2 13.1 */
  if((ch_i = REF(13)DOT(1).value.integer) < 0 || ch_i >= (ch_t = 
    REF(3)DOT(2).value.table)->size) goto ch_notfound;
  (*(REF(72).tsdr)->finalize)(REF(72).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(72).value,ch_i);
  REF(72).tsdr = qdatarepmap[ch_t->tsdr->number];
/* equal . 72.6 =(0) , 163 */
  if ( REF(72)DOT(6).value.integer == 0 ) goto c163;
/* equal . 13.1 20.1 , 163 */
  if ( REF(13)DOT(1).value.integer == REF(20)DOT(1).value.integer ) goto c163;
/* chs_lit 73 , "c" */
  if( !chs_lit(DEF(73),"c") ) goto ch_depletion;
/* scan_position 74 72 3.2 */
  ch_t = REF(3)DOT(2).value.table;
  (*(ch_t->tbls[ORDER_TBL].des->foreach))
    (ch_t,ORDER_TBL,do_table_position,& ch_ctr,CONT_FOREACH,REF(72).value);
  REF(74).value.integer = (dfd_integer) ch_ctr;
  REF(74).tsdr = & dr_integer;
  current->ip = 22;
cb156:
/* call 3.0.12 74 75 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(12),
          arguments[1] = DEF(74),
          arguments[2] = DEF(75),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c157:
/* merge 73 75 */
  if ((ch_returncode = mergefunc(DEF(73),DEF(75),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 76 , 58 */
  REF(76).value.ord_enum = 58;
  REF(76).tsdr = & dr_ord_enumeration;
/* insert 73 76 */
  if ((ch_returncode = insertfunc(DEF(73),DEF(76),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 77 , 10 */
  REF(77).value.ord_enum = 10;
  REF(77).tsdr = & dr_ord_enumeration;
/* insert 73 77 */
  if ((ch_returncode = insertfunc(DEF(73),DEF(77),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* merge 22 73 */
  if ((ch_returncode = mergefunc(DEF(22),DEF(73),FALSE,0)) != Normal)
     goto ch_raise_exception;
c163:
/* boolean 13.3 , FALSE */
  REF(13)DOT(3).value.boolean = FALSE;
  REF(13)DOT(3).tsdr = & dr_boolean;
/* ilit 13.2 , 0 */
  REF(13)DOT(2).value.integer = 0;
  REF(13)DOT(2).tsdr = & dr_integer;
/* find 78 3.0.11 72.0 , 0 */
  if (findfunc(DEF(78),DEF(3)DOT(0)DOT(11),(
          arguments[0] = DEF(72)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 68 78.8 */
  if((ch_returncode = cp_table(& ch_val, REF(78)DOT(8).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(68).tsdr)->finalize)(REF(68).value,F_DISCARD,sched);
  REF(68).value = ch_val;
  REF(68).tsdr = & dr_table;
/* notequal . 78.6 =(0) , 174 */
  if ( REF(78)DOT(6).value.enumeration != 0 ) goto c174;
/* copy 67 78.7 */
  if((ch_returncode = cp_table(& ch_val, REF(78)DOT(7).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(67).tsdr)->finalize)(REF(67).value,F_DISCARD,sched);
  REF(67).value = ch_val;
  REF(67).tsdr = & dr_table;
/* branch , 177 */
   goto c177;
c174:
/* new_table 67 , 11 */
  if ((ch_returncode = che_new_table(DEF(67),QUAL(11),sched)) != Normal) 
     goto ch_raise_exception;
/* copy 79 78.7 */
  if((ch_returncode = cp_table(& ch_val, REF(78)DOT(7).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(79).tsdr)->finalize)(REF(79).value,F_DISCARD,sched);
  REF(79).value = ch_val;
  REF(79).tsdr = & dr_table;
  current->ip = 25;
cb176:
/* call 12 3.0 13 78.6 68 79 67 , 12 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(12),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(13),
          arguments[3] = DEF(78)DOT(6),
          arguments[4] = DEF(68),
          arguments[5] = DEF(79),
          arguments[6] = DEF(67),
          arguments[6+1] = nil,& arguments[0]),QUAL(12),sched)) != Normal)
     goto ch_raise_exception;
  return;
c177:
/* branch_false 3.0.9.2 , 244 */
  if ( !REF(3)DOT(0)DOT(9)DOT(2).value.boolean ) goto c244;
/* enum_lit 80 , 0 */
  REF(80).value.enumeration = 0;
  REF(80).tsdr = & dr_enumeration;
/* find 81 68 80 , 0 */
  if (findfunc(DEF(81),DEF(68),(
          arguments[0] = DEF(80),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* chs_lit 73 , "/\052 " */
  if( !chs_lit(DEF(73),"/\052 ") ) goto ch_depletion;
/* copy 82 81.1 */
  if((ch_returncode = cp_table(& ch_val, REF(81)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(82).tsdr)->finalize)(REF(82).value,F_DISCARD,sched);
  REF(82).value = ch_val;
  REF(82).tsdr = & dr_table;
/* merge 73 82 */
  if ((ch_returncode = mergefunc(DEF(73),DEF(82),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 83 72.1 */
  if((ch_returncode = cp_table(& ch_val, REF(72)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(83).tsdr)->finalize)(REF(83).value,F_DISCARD,sched);
  REF(83).value = ch_val;
  REF(83).tsdr = & dr_table;
/* initget 84 83 , 0,0 */
  (*(REF(84).tsdr)->finalize)(REF(84).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(84),DEF(83),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c186:
/* get_or_goto 84 83 , 229 */
  if ((ch_returncode = get_selected_object(DEF(84),DEF(83),sched)) != Normal)
     goto c229;
/* ige . 84 =(0) , 193 */
  if ( REF(84).value.integer >= 0 ) goto c193;
/* chs_lit 85 , " *" */
  if( !chs_lit(DEF(85)," *") ) goto ch_depletion;
/* merge 73 85 */
  if ((ch_returncode = mergefunc(DEF(73),DEF(85),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 186 */
   goto c186;
c193:
/* lookup_at 86 3.3 84 */
  if((ch_i = REF(84).value.integer) < 0 || ch_i >= (ch_t = REF(3)DOT(3).value
    .table)->size) goto ch_notfound;
  (*(REF(86).tsdr)->finalize)(REF(86).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(86).value,ch_i);
  REF(86).tsdr = qdatarepmap[ch_t->tsdr->number];
/* lookup_at 87 86.0 =(0) */
  if ( !((ch_t = REF(86)DOT(0).value.table)->size) ) goto ch_notfound;
  (*(REF(87).tsdr)->finalize)(REF(87).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(87).value,0);
  REF(87).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 88 87 */
  REF(88) = REF(87);
/* ige . 88 =(0) , 215 */
  if ( REF(88).value.integer >= 0 ) goto c215;
/* ord_case 89 86.4 */
  REF(89).value.ord_enum = REF(86)DOT(4).value.variant->info.variant_case;
  REF(89).tsdr = & dr_ord_enumeration;
/* oege . 89 =(4) , 212 */
  if ( REF(89).value.ord_enum >= 4 ) goto c212;
/* chs_lit 90 , " =(" */
  if( !chs_lit(DEF(90)," =(") ) goto ch_depletion;
/* merge 73 90 */
  if ((ch_returncode = mergefunc(DEF(73),DEF(90),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* enum_lit 91 , 4 */
  REF(91).value.enumeration = 4;
  REF(91).tsdr = & dr_enumeration;
  current->ip = 28;
cb207:
/* call 6 91 86 68 3.0 92 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(6),
          arguments[1] = DEF(91),
          arguments[2] = DEF(86),
          arguments[3] = DEF(68),
          arguments[4] = DEF(3)DOT(0),
          arguments[5] = DEF(92),
          arguments[5+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c208:
/* merge 73 92 */
  if ((ch_returncode = mergefunc(DEF(73),DEF(92),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 93 , 41 */
  REF(93).value.ord_enum = 41;
  REF(93).tsdr = & dr_ord_enumeration;
/* insert 73 93 */
  if ((ch_returncode = insertfunc(DEF(73),DEF(93),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 186 */
   goto c186;
c212:
/* chs_lit 94 , " ." */
  if( !chs_lit(DEF(94)," .") ) goto ch_depletion;
/* merge 73 94 */
  if ((ch_returncode = mergefunc(DEF(73),DEF(94),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 186 */
   goto c186;
c215:
/* ordenum_lit 95 , 32 */
  REF(95).value.ord_enum = 32;
  REF(95).tsdr = & dr_ord_enumeration;
/* copy 96 86.0 */
  if((ch_returncode = cp_table(& ch_val, REF(86)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(96).tsdr)->finalize)(REF(96).value,F_DISCARD,sched);
  REF(96).value = ch_val;
  REF(96).tsdr = & dr_table;
/* initget 97 96 , 0,0 */
  (*(REF(97).tsdr)->finalize)(REF(97).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(97),DEF(96),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c219:
/* get_or_goto 97 96 , 226 */
  if ((ch_returncode = get_selected_object(DEF(97),DEF(96),sched)) != Normal)
     goto c226;
/* insert 73 95 */
  if ((ch_returncode = insertfunc(DEF(73),DEF(95),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 33;
cb221:
/* call 3.0.12 97 98 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(12),
          arguments[1] = DEF(97),
          arguments[2] = DEF(98),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c222:
/* merge 73 98 */
  if ((ch_returncode = mergefunc(DEF(73),DEF(98),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 95 , 46 */
  REF(95).value.ord_enum = 46;
  REF(95).tsdr = & dr_ord_enumeration;
/* branch , 219 */
   goto c219;
c226:
/* endget 97 96 */
  end_selector(DEF(97),DEF(96),sched,GET);
/* discard 96 */
  (*(REF(96).tsdr)->finalize)(REF(96).value,F_DISCARD,sched);
  REF(96).tsdr = & dr_bottom;
/* branch , 186 */
   goto c186;
c229:
/* endget 84 83 */
  end_selector(DEF(84),DEF(83),sched,GET);
/* discard 83 */
  (*(REF(83).tsdr)->finalize)(REF(83).value,F_DISCARD,sched);
  REF(83).tsdr = & dr_bottom;
/* case 99 72.2 */
  REF(99).value.enumeration = REF(72)DOT(2).value.variant->info.variant_case;
  REF(99).tsdr = & dr_enumeration;
/* equal . 99 =(0) , 239 */
  if ( REF(99).value.enumeration == 0 ) goto c239;
/* chs_lit 100 , " , " */
  if( !chs_lit(DEF(100)," , ") ) goto ch_depletion;
/* merge 73 100 */
  if ((ch_returncode = mergefunc(DEF(73),DEF(100),FALSE,0)) != Normal)
     goto ch_raise_exception;
  current->ip = 37;
cb237:
/* call 9 72 3.0 3.5 101 , 14 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(9),
          arguments[1] = DEF(72),
          arguments[2] = DEF(3)DOT(0),
          arguments[3] = DEF(3)DOT(5),
          arguments[4] = DEF(101),
          arguments[4+1] = nil,& arguments[0]),QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
  return;
c238:
/* merge 73 101 */
  if ((ch_returncode = mergefunc(DEF(73),DEF(101),FALSE,0)) != Normal)
     goto ch_raise_exception;
c239:
/* chs_lit 102 , " *\057" */
  if( !chs_lit(DEF(102)," *\057") ) goto ch_depletion;
/* merge 73 102 */
  if ((ch_returncode = mergefunc(DEF(73),DEF(102),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 103 , 10 */
  REF(103).value.ord_enum = 10;
  REF(103).tsdr = & dr_ord_enumeration;
/* insert 73 103 */
  if ((ch_returncode = insertfunc(DEF(73),DEF(103),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* merge 22 73 */
  if ((ch_returncode = mergefunc(DEF(22),DEF(73),FALSE,0)) != Normal)
     goto ch_raise_exception;
c244:
/* chs_lit 73 , "  " */
  if( !chs_lit(DEF(73),"  ") ) goto ch_depletion;
/* chs_lit 69 , "    " */
  if( !chs_lit(DEF(69),"    ") ) goto ch_depletion;
/* ilit 104 , 0 */
  REF(104).value.integer = 0;
  REF(104).tsdr = & dr_integer;
c250:
/* discard 105 */
  (*(REF(105).tsdr)->finalize)(REF(105).value,F_DISCARD,sched);
  REF(105).tsdr = & dr_bottom;
/* size 106 67 */
  REF(106).value.integer = REF(67).value.table->size;
  REF(106).tsdr = & dr_integer;
/* equal . 106 =(0) , 530 */
  if ( REF(106).value.integer == 0 ) goto c530;
/* block , 15 */
  if((ch_returncode = che_block(QUAL(15),sched)) != Normal)
     goto ch_raise_exception;
/* privatize 67 */
  if (REF(67).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(67))) != Normal)
       goto ch_raise_exception;
/* lookup_at 107 67 =(0) */
  if ( !((ch_t = REF(67).value.table)->size) ) goto ch_notfound;
  (*(REF(107).tsdr)->finalize)(REF(107).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(107).value,0);
  REF(107).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 105 67 =(0) */
  if ((ch_returncode = remove_at_func(DEF(105),DEF(67),0)) != Normal)
     goto ch_raise_exception;
/* ord_case 108 105 */
  REF(108).value.ord_enum = REF(105).value.variant->info.variant_case;
  REF(108).tsdr = & dr_ord_enumeration;
/* equal . 108 =(9) , 283 */
  if ( REF(108).value.ord_enum == 9 ) goto c283;
/* equal . 108 =(8) , 302 */
  if ( REF(108).value.ord_enum == 8 ) goto c302;
/* equal . 108 =(7) , 321 */
  if ( REF(108).value.ord_enum == 7 ) goto c321;
/* equal . 108 =(6) , 340 */
  if ( REF(108).value.ord_enum == 6 ) goto c340;
/* equal . 108 =(5) , 392 */
  if ( REF(108).value.ord_enum == 5 ) goto c392;
/* equal . 108 =(4) , 463 */
  if ( REF(108).value.ord_enum == 4 ) goto c463;
/* equal . 108 =(3) , 472 */
  if ( REF(108).value.ord_enum == 3 ) goto c472;
/* equal . 108 =(2) , 475 */
  if ( REF(108).value.ord_enum == 2 ) goto c475;
/* equal . 108 =(1) , 502 */
  if ( REF(108).value.ord_enum == 1 ) goto c502;
/* equal . 108 =(0) , 505 */
  if ( REF(108).value.ord_enum == 0 ) goto c505;
/* branch , 510 */
   goto c510;
c283:
/* chs_lit 109 , "/\052ITERATE*\057" */
  if( !chs_lit(DEF(109),"/\052ITERATE*\057") ) goto ch_depletion;
/* merge 73 109 */
  if ((ch_returncode = mergefunc(DEF(73),DEF(109),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 110 , 10 */
  REF(110).value.ord_enum = 10;
  REF(110).tsdr = & dr_ord_enumeration;
/* insert 73 110 */
  if ((ch_returncode = insertfunc(DEF(73),DEF(110),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* merge 22 73 */
  if ((ch_returncode = mergefunc(DEF(22),DEF(73),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_table 111 , 16 */
  if ((ch_returncode = che_new_table(DEF(111),QUAL(16),sched)) != Normal) 
     goto ch_raise_exception;
/* initget 112 69 , 0,0 */
  (*(REF(112).tsdr)->finalize)(REF(112).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(112),DEF(69),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c290:
/* get_or_goto 112 69 , 298 */
  if ((ch_returncode = get_selected_object(DEF(112),DEF(69),sched)) != Normal)
     goto c298;
/* position 113 112 */
  ch_frame = get_selector_frame(DEF(112),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(113).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(113).tsdr = &dr_integer;
/* ile . 113 =(1) , 290 */
  if ( REF(113).value.integer <= 1 ) goto c290;
/* copy 114 112 */
  if((ch_returncode = (REF(112).tsdr->copy)(& ch_val, REF(112).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(114).tsdr)->finalize)(REF(114).value,F_DISCARD,sched);
  REF(114).value = ch_val;
  REF(114).tsdr = datarepmap[REF(112).tsdr->number];
/* insert 111 114 */
  if ((ch_returncode = insertfunc(DEF(111),DEF(114),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 290 */
   goto c290;
c298:
/* endget 112 69 */
  end_selector(DEF(112),DEF(69),sched,GET);
/* move 73 111 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  REF(73) = REF(111);
  REF(111).tsdr = & dr_bottom;
/* exit , 17 */
  ch_e = handler_type__exit; ch_val = QUAL(17); goto ch_exception;
c302:
/* chs_lit 115 , "/\052NEST*\057" */
  if( !chs_lit(DEF(115),"/\052NEST*\057") ) goto ch_depletion;
/* merge 73 115 */
  if ((ch_returncode = mergefunc(DEF(73),DEF(115),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 116 , 10 */
  REF(116).value.ord_enum = 10;
  REF(116).tsdr = & dr_ord_enumeration;
/* insert 73 116 */
  if ((ch_returncode = insertfunc(DEF(73),DEF(116),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* merge 22 73 */
  if ((ch_returncode = mergefunc(DEF(22),DEF(73),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_table 117 , 16 */
  if ((ch_returncode = che_new_table(DEF(117),QUAL(16),sched)) != Normal) 
     goto ch_raise_exception;
/* initget 118 69 , 0,0 */
  (*(REF(118).tsdr)->finalize)(REF(118).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(118),DEF(69),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c309:
/* get_or_goto 118 69 , 317 */
  if ((ch_returncode = get_selected_object(DEF(118),DEF(69),sched)) != Normal)
     goto c317;
/* position 119 118 */
  ch_frame = get_selector_frame(DEF(118),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(119).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(119).tsdr = &dr_integer;
/* ile . 119 =(1) , 309 */
  if ( REF(119).value.integer <= 1 ) goto c309;
/* copy 120 118 */
  if((ch_returncode = (REF(118).tsdr->copy)(& ch_val, REF(118).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(120).tsdr)->finalize)(REF(120).value,F_DISCARD,sched);
  REF(120).value = ch_val;
  REF(120).tsdr = datarepmap[REF(118).tsdr->number];
/* insert 117 120 */
  if ((ch_returncode = insertfunc(DEF(117),DEF(120),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 309 */
   goto c309;
c317:
/* endget 118 69 */
  end_selector(DEF(118),DEF(69),sched,GET);
/* move 73 117 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  REF(73) = REF(117);
  REF(117).tsdr = & dr_bottom;
/* exit , 17 */
  ch_e = handler_type__exit; ch_val = QUAL(17); goto ch_exception;
c321:
/* chs_lit 121 , "/\052CHOICE*\057" */
  if( !chs_lit(DEF(121),"/\052CHOICE*\057") ) goto ch_depletion;
/* merge 73 121 */
  if ((ch_returncode = mergefunc(DEF(73),DEF(121),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* ordenum_lit 122 , 10 */
  REF(122).value.ord_enum = 10;
  REF(122).tsdr = & dr_ord_enumeration;
/* insert 73 122 */
  if ((ch_returncode = insertfunc(DEF(73),DEF(122),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* merge 22 73 */
  if ((ch_returncode = mergefunc(DEF(22),DEF(73),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_table 123 , 16 */
  if ((ch_returncode = che_new_table(DEF(123),QUAL(16),sched)) != Normal) 
     goto ch_raise_exception;
/* initget 124 69 , 0,0 */
  (*(REF(124).tsdr)->finalize)(REF(124).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(124),DEF(69),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c328:
/* get_or_goto 124 69 , 336 */
  if ((ch_returncode = get_selected_object(DEF(124),DEF(69),sched)) != Normal)
     goto c336;
/* position 125 124 */
  ch_frame = get_selector_frame(DEF(124),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(125).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(125).tsdr = &dr_integer;
/* ile . 125 =(1) , 328 */
  if ( REF(125).value.integer <= 1 ) goto c328;
/* copy 126 124 */
  if((ch_returncode = (REF(124).tsdr->copy)(& ch_val, REF(124).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(126).tsdr)->finalize)(REF(126).value,F_DISCARD,sched);
  REF(126).value = ch_val;
  REF(126).tsdr = datarepmap[REF(124).tsdr->number];
/* insert 123 126 */
  if ((ch_returncode = insertfunc(DEF(123),DEF(126),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 328 */
   goto c328;
c336:
/* endget 124 69 */
  end_selector(DEF(124),DEF(69),sched,GET);
/* move 73 123 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  REF(73) = REF(123);
  REF(123).tsdr = & dr_bottom;
/* exit , 17 */
  ch_e = handler_type__exit; ch_val = QUAL(17); goto ch_exception;
c340:
/* reveal 105 , 6 */
  if (6 != REF(105).value.variant->info.variant_case) goto ch_case_error;
/* copy 127 105.0.1 */
  REF(127) = REF(105)DOT(0)DOT(1);
c342:
/* noop */
  
/* equal . 127 =(0) , 365 */
  if ( REF(127).value.integer == 0 ) goto c365;
/* ige . 127 =(0) , 358 */
  if ( REF(127).value.integer >= 0 ) goto c358;
/* privatize 69 */
  if (REF(69).value.table->refcount != 1)
    if ((ch_returncode = doCopyOnWrite(DEF(69))) != Normal)
       goto ch_raise_exception;
/* size 128 69 */
  REF(128).value.integer = REF(69).value.table->size;
  REF(128).tsdr = & dr_integer;
/* isubtract 129 128 =(1) */
  if (!chf_isubtract(DEF(129),REF(128).value.integer,1)) goto ch_depletion;
/* lookup_at 130 69 129 */
  if((ch_i = REF(129).value.integer) < 0 || ch_i >= (ch_t = REF(69).value
    .table)->size) goto ch_notfound;
  (*(REF(130).tsdr)->finalize)(REF(130).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(130).value,ch_i);
  REF(130).tsdr = qdatarepmap[ch_t->tsdr->number];
/* remove_at 95 69 129 */
  if ((ch_returncode = remove_at_func(DEF(95),DEF(69),REF(129).value.integer
    )) != Normal) goto ch_raise_exception;
/* iadd 127 127 =(1) */
  if (!chf_iadd(DEF(127),REF(127).value.integer,1)) goto ch_depletion;
/* branch , 342 */
   goto c342;
c358:
/* ordenum_lit 131 , 32 */
  REF(131).value.ord_enum = 32;
  REF(131).tsdr = & dr_ord_enumeration;
/* size 132 69 */
  REF(132).value.integer = REF(69).value.table->size;
  REF(132).tsdr = & dr_integer;
/* insert_at 69 131 132 */
  ch_i = REF(132).value.integer;
  if (ch_i < 0 || REF(69).value.table->size < ch_i) goto ch_range_error;
  if ((ch_returncode = insertfunc(DEF(69),DEF(131),TRUE, ch_i)) != Normal)
     goto ch_raise_exception;
/* isubtract 127 127 =(1) */
  if (!chf_isubtract(DEF(127),REF(127).value.integer,1)) goto ch_depletion;
/* branch , 342 */
   goto c342;
c365:
/* branch_false 105.0.0 , 390 */
  if ( !REF(105)DOT(0)DOT(0).value.boolean ) goto c390;
/* boolean 133 , FALSE */
  REF(133).value.boolean = FALSE;
  REF(133).tsdr = & dr_boolean;
/* initget 134 73 , 0,0 */
  (*(REF(134).tsdr)->finalize)(REF(134).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(134),DEF(73),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c368:
/* get_or_goto 134 73 , 373 */
  if ((ch_returncode = get_selected_object(DEF(134),DEF(73),sched)) != Normal)
     goto c373;
/* equal . 134 =(32) , 368 */
  if ( REF(134).value.ord_enum == 32 ) goto c368;
/* boolean 133 , TRUE */
  REF(133).value.boolean = TRUE;
  REF(133).tsdr = & dr_boolean;
c373:
/* endget 134 73 */
  end_selector(DEF(134),DEF(73),sched,GET);
/* branch_false 133 , 390 */
  if ( !REF(133).value.boolean ) goto c390;
/* ordenum_lit 135 , 10 */
  REF(135).value.ord_enum = 10;
  REF(135).tsdr = & dr_ord_enumeration;
/* insert 73 135 */
  if ((ch_returncode = insertfunc(DEF(73),DEF(135),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* merge 22 73 */
  if ((ch_returncode = mergefunc(DEF(22),DEF(73),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* new_table 136 , 16 */
  if ((ch_returncode = che_new_table(DEF(136),QUAL(16),sched)) != Normal) 
     goto ch_raise_exception;
/* initget 137 69 , 0,0 */
  (*(REF(137).tsdr)->finalize)(REF(137).value,F_DISCARD,sched);
  if ((ch_returncode = init_selector(DEF(137),DEF(69),nil,sched,GET,0,0
    )) != Normal) goto ch_raise_exception;
c380:
/* get_or_goto 137 69 , 388 */
  if ((ch_returncode = get_selected_object(DEF(137),DEF(69),sched)) != Normal)
     goto c388;
/* position 138 137 */
  ch_frame = get_selector_frame(DEF(137),sched);
  ch_t = ch_frame->inspectee->value.table;
  REF(138).value.integer = ch_frame->rmvcount +
    (*(ch_t->tbls[ORDER_TBL].des->position_of))(ch_t,ORDER_TBL,ch_frame->pos);
  REF(138).tsdr = &dr_integer;
/* ile . 138 =(1) , 380 */
  if ( REF(138).value.integer <= 1 ) goto c380;
/* copy 139 137 */
  if((ch_returncode = (REF(137).tsdr->copy)(& ch_val, REF(137).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(139).tsdr)->finalize)(REF(139).value,F_DISCARD,sched);
  REF(139).value = ch_val;
  REF(139).tsdr = datarepmap[REF(137).tsdr->number];
/* insert 136 139 */
  if ((ch_returncode = insertfunc(DEF(136),DEF(139),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 380 */
   goto c380;
c388:
/* endget 137 69 */
  end_selector(DEF(137),DEF(69),sched,GET);
/* move 73 136 */
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  REF(73) = REF(136);
  REF(136).tsdr = & dr_bottom;
c390:
/* exit , 17 */
  ch_e = handler_type__exit; ch_val = QUAL(17); goto ch_exception;
c392:
/* case 140 72.2 */
  REF(140).value.enumeration = REF(72)DOT(2).value.variant->info.variant_case;
  REF(140).tsdr = & dr_enumeration;
/* equal . 140 =(5) , 401 */
  if ( REF(140).value.enumeration == 5 ) goto c401;
/* equal . 140 =(11) , 419 */
  if ( REF(140).value.enumeration == 11 ) goto c419;
/* equal . 140 =(2) , 431 */
  if ( REF(140).value.enumeration == 2 ) goto c431;
/* branch , 434 */
   goto c434;
c401:
/* reveal 72.2 , 5 */
  if (5 != REF(72)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* equal . 105.0 =(3) , 408 */
  if ( REF(105)DOT(0).value.enumeration == 3 ) goto c408;
/* equal . 105.0 =(2) , 410 */
  if ( REF(105)DOT(0).value.enumeration == 2 ) goto c410;
/* branch , 412 */
   goto c412;
c408:
/* copy 141 72.2.0.1 */
  REF(141) = REF(72)DOT(2)DOT(0)DOT(1);
/* branch , 437 */
   goto c437;
c410:
/* copy 141 72.2.0.0 */
  REF(141) = REF(72)DOT(2)DOT(0)DOT(0);
/* branch , 437 */
   goto c437;
c412:
/* noop */
  
/* notequal . 72.0 =(45) , 417 */
  if ( REF(72)DOT(0).value.enumeration != 45 ) goto c417;
/* copy 141 72.2.0.0 */
  REF(141) = REF(72)DOT(2)DOT(0)DOT(0);
/* branch , 437 */
   goto c437;
c417:
/* copy 141 72.2.0.1 */
  REF(141) = REF(72)DOT(2)DOT(0)DOT(1);
/* branch , 437 */
   goto c437;
c419:
/* reveal 72.2 , 11 */
  if (11 != REF(72)DOT(2).value.variant->info.variant_case)
     goto ch_case_error;
/* branch_false 13.3 , 425 */
  if ( !REF(13)DOT(3).value.boolean ) goto c425;
/* lookup_at 142 72.2.0 104 */
  if((ch_i = REF(104).value.integer) < 0 || ch_i >= (ch_t = 
    REF(72)DOT(2)DOT(0).value.table)->size) goto ch_notfound;
  (*(REF(142).tsdr)->finalize)(REF(142).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(142).value,ch_i);
  REF(142).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 141 142 */
  REF(141) = REF(142);
/* branch , 437 */
   goto c437;
c425:
/* noop */
  
/* idivide 143 104 =(2) */
  REF(143).value.integer = REF(104).value.integer/2;
  REF(143).tsdr = & dr_integer;
/* lookup_at 144 72.2.0 143 */
  if((ch_i = REF(143).value.integer) < 0 || ch_i >= (ch_t = 
    REF(72)DOT(2)DOT(0).value.table)->size) goto ch_notfound;
  (*(REF(144).tsdr)->finalize)(REF(144).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(144).value,ch_i);
  REF(144).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 141 144 */
  REF(141) = REF(144);
/* branch , 437 */
   goto c437;
c431:
/* reveal 72.2 , 2 */
  if (2 != REF(72)DOT(2).value.variant->info.variant_case) goto ch_case_error;
/* copy 141 72.2.0 */
  REF(141) = REF(72)DOT(2)DOT(0);
/* branch , 437 */
   goto c437;
c434:
/* ilit 141 , -1 */
  REF(141).value.integer = -1;
  REF(141).tsdr = & dr_integer;
c437:
/* reveal 105 , 5 */
  if (5 != REF(105).value.variant->info.variant_case) goto ch_case_error;
/* equal . 105.0 =(5) , 446 */
  if ( REF(105)DOT(0).value.enumeration == 5 ) goto c446;
/* equal . 105.0 =(1) , 450 */
  if ( REF(105)DOT(0).value.enumeration == 1 ) goto c450;
/* equal . 105.0 =(0) , 453 */
  if ( REF(105)DOT(0).value.enumeration == 0 ) goto c453;
/* branch , 458 */
   goto c458;
c446:
/* lookup_at 145 3.2 141 */
  if((ch_i = REF(141).value.integer) < 0 || ch_i >= (ch_t = REF(3)DOT(2).value
    .table)->size) goto ch_notfound;
  (*(REF(145).tsdr)->finalize)(REF(145).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(145).value,ch_i);
  REF(145).tsdr = qdatarepmap[ch_t->tsdr->number];
  current->ip = 53;
cb447:
/* call 3.0.12 145.5 146 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(12),
          arguments[1] = DEF(145)DOT(5),
          arguments[2] = DEF(146),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c448:
/* move 147 146 */
  (*(REF(147).tsdr)->finalize)(REF(147).value,F_DISCARD,sched);
  REF(147) = REF(146);
  REF(146).tsdr = & dr_bottom;
/* branch , 460 */
   goto c460;
c450:
  current->ip = 55;
cb450:
/* call 3.0.12 104 148 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(12),
          arguments[1] = DEF(104),
          arguments[2] = DEF(148),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c451:
/* move 147 148 */
  (*(REF(147).tsdr)->finalize)(REF(147).value,F_DISCARD,sched);
  REF(147) = REF(148);
  REF(148).tsdr = & dr_bottom;
/* branch , 460 */
   goto c460;
c453:
/* noop */
  
/* iadd 104 104 =(1) */
  if (!chf_iadd(DEF(104),REF(104).value.integer,1)) goto ch_depletion;
/* exit , 17 */
  ch_e = handler_type__exit; ch_val = QUAL(17); goto ch_exception;
c458:
  current->ip = 58;
cb458:
/* call 3.0.12 141 149 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(12),
          arguments[1] = DEF(141),
          arguments[2] = DEF(149),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c459:
/* move 147 149 */
  (*(REF(147).tsdr)->finalize)(REF(147).value,F_DISCARD,sched);
  REF(147) = REF(149);
  REF(149).tsdr = & dr_bottom;
c460:
/* merge 73 147 */
  if ((ch_returncode = mergefunc(DEF(73),DEF(147),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* exit , 17 */
  ch_e = handler_type__exit; ch_val = QUAL(17); goto ch_exception;
c463:
/* reveal 105 , 4 */
  if (4 != REF(105).value.variant->info.variant_case) goto ch_case_error;
/* block , 18 */
  if((ch_returncode = che_block(QUAL(18),sched)) != Normal)
     goto ch_raise_exception;
/* find 150 68 105.0 , 0 */
  if (findfunc(DEF(150),DEF(68),(
          arguments[0] = DEF(105)DOT(0),& arguments[0]),sched,0) == FAILURE)
             goto ch_notfound;
/* copy 147 150.1 */
  if((ch_returncode = cp_table(& ch_val, REF(150)DOT(1).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(147).tsdr)->finalize)(REF(147).value,F_DISCARD,sched);
  REF(147).value = ch_val;
  REF(147).tsdr = & dr_table;
/* endblock */
  che_endblock(sched);
/* branch , 512 */
   goto c512;
c469:
/* chs_lit 147 , "/\052PARAMETER*\057" */
  if( !chs_lit(DEF(147),"/\052PARAMETER*\057") ) goto ch_depletion;
/* branch , 512 */
   goto c512;
c472:
  current->ip = 63;
cb472:
/* call 9 72 3.0 3.5 151 , 14 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(9),
          arguments[1] = DEF(72),
          arguments[2] = DEF(3)DOT(0),
          arguments[3] = DEF(3)DOT(5),
          arguments[4] = DEF(151),
          arguments[4+1] = nil,& arguments[0]),QUAL(14),sched)) != Normal)
     goto ch_raise_exception;
  return;
c473:
/* move 147 151 */
  (*(REF(147).tsdr)->finalize)(REF(147).value,F_DISCARD,sched);
  REF(147) = REF(151);
  REF(151).tsdr = & dr_bottom;
/* branch , 512 */
   goto c512;
c475:
/* reveal 105 , 2 */
  if (2 != REF(105).value.variant->info.variant_case) goto ch_case_error;
/* branch_false 13.3 , 486 */
  if ( !REF(13)DOT(3).value.boolean ) goto c486;
/* imultiply 152 =(2) 104 */
  if (!chf_imultiply(DEF(152),2,REF(104).value.integer)) goto ch_depletion;
/* iadd 153 105.0.1 152 */
  if (!chf_iadd(DEF(153),REF(105)DOT(0)DOT(1).value.integer,
    REF(152).value.integer)) goto ch_depletion;
/* iadd 154 153 =(1) */
  if (!chf_iadd(DEF(154),REF(153).value.integer,1)) goto ch_depletion;
/* lookup_at 155 72.1 154 */
  if((ch_i = REF(154).value.integer) < 0 || ch_i >= (ch_t = 
    REF(72)DOT(1).value.table)->size) goto ch_notfound;
  (*(REF(155).tsdr)->finalize)(REF(155).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(155).value,ch_i);
  REF(155).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 156 155 */
  REF(156) = REF(155);
/* branch , 490 */
   goto c490;
c486:
/* iadd 157 105.0.1 104 */
  if (!chf_iadd(DEF(157),REF(105)DOT(0)DOT(1).value.integer,
    REF(104).value.integer)) goto ch_depletion;
/* lookup_at 158 72.1 157 */
  if((ch_i = REF(157).value.integer) < 0 || ch_i >= (ch_t = 
    REF(72)DOT(1).value.table)->size) goto ch_notfound;
  (*(REF(158).tsdr)->finalize)(REF(158).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(158).value,ch_i);
  REF(158).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 156 158 */
  REF(156) = REF(158);
c490:
/* noop */
  
/* ige . 156 =(0) , 496 */
  if ( REF(156).value.integer >= 0 ) goto c496;
/* chs_lit 147 , "NO_OBJECT" */
  if( !chs_lit(DEF(147),"NO_OBJECT") ) goto ch_depletion;
/* branch , 500 */
   goto c500;
c496:
/* lookup_at 159 3.3 156 */
  if((ch_i = REF(156).value.integer) < 0 || ch_i >= (ch_t = REF(3)DOT(3).value
    .table)->size) goto ch_notfound;
  (*(REF(159).tsdr)->finalize)(REF(159).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(159).value,ch_i);
  REF(159).tsdr = qdatarepmap[ch_t->tsdr->number];
/* copy 160 159 */
  if((ch_returncode = (REF(159).tsdr->copy)(& ch_val, REF(159).value
    )) != Normal) goto ch_raise_exception;
  (*(REF(160).tsdr)->finalize)(REF(160).value,F_DISCARD,sched);
  REF(160).value = ch_val;
  REF(160).tsdr = datarepmap[REF(159).tsdr->number];
  current->ip = 66;
cb498:
/* call 6 105.0.0 160 68 3.0 161 , 13 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(6),
          arguments[1] = DEF(105)DOT(0)DOT(0),
          arguments[2] = DEF(160),
          arguments[3] = DEF(68),
          arguments[4] = DEF(3)DOT(0),
          arguments[5] = DEF(161),
          arguments[5+1] = nil,& arguments[0]),QUAL(13),sched)) != Normal)
     goto ch_raise_exception;
  return;
c499:
/* move 147 161 */
  (*(REF(147).tsdr)->finalize)(REF(147).value,F_DISCARD,sched);
  REF(147) = REF(161);
  REF(161).tsdr = & dr_bottom;
c500:
/* discard 160 */
  (*(REF(160).tsdr)->finalize)(REF(160).value,F_DISCARD,sched);
  REF(160).tsdr = & dr_bottom;
/* branch , 512 */
   goto c512;
c502:
/* reveal 105 , 1 */
  if (1 != REF(105).value.variant->info.variant_case) goto ch_case_error;
/* copy 147 105.0 */
  if((ch_returncode = cp_table(& ch_val, REF(105)DOT(0).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(147).tsdr)->finalize)(REF(147).value,F_DISCARD,sched);
  REF(147).value = ch_val;
  REF(147).tsdr = & dr_table;
/* branch , 512 */
   goto c512;
c505:
/* reveal 105 , 0 */
  if (0 != REF(105).value.variant->info.variant_case) goto ch_case_error;
/* copy 162 105.0 */
  if((ch_returncode = (REF(105)DOT(0).tsdr->copy)(& ch_val, 
    REF(105)DOT(0).value)) != Normal) goto ch_raise_exception;
  (*(REF(162).tsdr)->finalize)(REF(162).value,F_DISCARD,sched);
  REF(162).value = ch_val;
  REF(162).tsdr = datarepmap[REF(105)DOT(0).tsdr->number];
/* insert 73 162 */
  if ((ch_returncode = insertfunc(DEF(73),DEF(162),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* exit , 17 */
  ch_e = handler_type__exit; ch_val = QUAL(17); goto ch_exception;
c510:
/* exit , 17 */
  ch_e = handler_type__exit; ch_val = QUAL(17); goto ch_exception;
c512:
/* size 163 73 */
  REF(163).value.integer = REF(73).value.table->size;
  REF(163).tsdr = & dr_integer;
/* size 164 147 */
  REF(164).value.integer = REF(147).value.table->size;
  REF(164).tsdr = & dr_integer;
/* iadd 165 163 164 */
  if (!chf_iadd(DEF(165),REF(163).value.integer,REF(164).value.integer))
     goto ch_depletion;
/* ile . 165 =(78) , 525 */
  if ( REF(165).value.integer <= 78 ) goto c525;
/* size 166 69 */
  REF(166).value.integer = REF(69).value.table->size;
  REF(166).tsdr = & dr_integer;
/* equal . 163 166 , 525 */
  if ( REF(163).value.integer == REF(166).value.integer ) goto c525;
/* ordenum_lit 167 , 10 */
  REF(167).value.ord_enum = 10;
  REF(167).tsdr = & dr_ord_enumeration;
/* insert 73 167 */
  if ((ch_returncode = insertfunc(DEF(73),DEF(167),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* merge 22 73 */
  if ((ch_returncode = mergefunc(DEF(22),DEF(73),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* copy 73 69 */
  if((ch_returncode = cp_table(& ch_val, REF(69).value)) != Normal)
     goto ch_raise_exception;
  (*(REF(73).tsdr)->finalize)(REF(73).value,F_DISCARD,sched);
  REF(73).value = ch_val;
  REF(73).tsdr = & dr_table;
c525:
/* merge 73 147 */
  if ((ch_returncode = mergefunc(DEF(73),DEF(147),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 250 */
   goto c250;
c530:
/* ordenum_lit 168 , 10 */
  REF(168).value.ord_enum = 10;
  REF(168).tsdr = & dr_ord_enumeration;
/* insert 73 168 */
  if ((ch_returncode = insertfunc(DEF(73),DEF(168),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* merge 22 73 */
  if ((ch_returncode = mergefunc(DEF(22),DEF(73),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 136 */
   goto c136;
c534:
/* noop */
  
/* ilt . 13.1 =(0) , 565 */
  if ( REF(13)DOT(1).value.integer < 0 ) goto c565;
/* lookup_at 169 3.2 13.1 */
  if((ch_i = REF(13)DOT(1).value.integer) < 0 || ch_i >= (ch_t = 
    REF(3)DOT(2).value.table)->size) goto ch_notfound;
  (*(REF(169).tsdr)->finalize)(REF(169).value,F_DISCARD,sched);
  (*(ch_t->tbls[ORDER_TBL].des->lookup_at))
    (ch_t, ORDER_TBL, & REF(169).value,ch_i);
  REF(169).tsdr = qdatarepmap[ch_t->tsdr->number];
/* notequal . 169.4 =(1) , 559 */
  if ( REF(169)DOT(4).value.ord_enum != 1 ) goto c559;
/* notequal . 169.0 =(107) , 551 */
  if ( REF(169)DOT(0).value.enumeration != 107 ) goto c551;
/* chs_lit 73 , "  if (current->ip == " */
  if( !chs_lit(DEF(73),"  if (current->ip == ") ) goto ch_depletion;
  current->ip = 75;
cb546:
/* call 3.0.12 169.5 170 , 10 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(12),
          arguments[1] = DEF(169)DOT(5),
          arguments[2] = DEF(170),
          arguments[2+1] = nil,& arguments[0]),QUAL(10),sched)) != Normal)
     goto ch_raise_exception;
  return;
c547:
/* merge 73 170 */
  if ((ch_returncode = mergefunc(DEF(73),DEF(170),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* chs_lit 171 , ") return; else COMPUTE_TARGET;" */
  if( !chs_lit(DEF(171),") return; else COMPUTE_TARGET;") ) goto ch_depletion;
/* merge 73 171 */
  if ((ch_returncode = mergefunc(DEF(73),DEF(171),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 553 */
   goto c553;
c551:
/* chs_lit 73 , "  return;" */
  if( !chs_lit(DEF(73),"  return;") ) goto ch_depletion;
c553:
/* ordenum_lit 172 , 10 */
  REF(172).value.ord_enum = 10;
  REF(172).tsdr = & dr_ord_enumeration;
/* insert 73 172 */
  if ((ch_returncode = insertfunc(DEF(73),DEF(172),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* merge 22 73 */
  if ((ch_returncode = mergefunc(DEF(22),DEF(73),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* boolean 18 , FALSE */
  REF(18).value.boolean = FALSE;
  REF(18).tsdr = & dr_boolean;
/* branch , 565 */
   goto c565;
c559:
/* noop */
  
/* notequal 173 169.3 =(2) */
  REF(173).value.boolean = (REF(169)DOT(3).value.ord_enum != 2);
  REF(173).tsdr = & dr_boolean;
/* notequal 174 169.0 =(109) */
  REF(174).value.boolean = (REF(169)DOT(0).value.enumeration != 109);
  REF(174).tsdr = & dr_boolean;
/* and 18 173 174 */
  REF(18).value.boolean = REF(173).value.boolean&REF(174).value.boolean;
  REF(18).tsdr = & dr_boolean;
c565:
/* merge 15 22 */
  if ((ch_returncode = mergefunc(DEF(15),DEF(22),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 32 */
   goto c32;
c567:
/* endget 20 19 */
  end_selector(DEF(20),DEF(19),sched,GET);
/* discard 19 */
  (*(REF(19).tsdr)->finalize)(REF(19).value,F_DISCARD,sched);
  REF(19).tsdr = & dr_bottom;
/* merge 3.4 14 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(4),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* merge 3.4 15 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(4),DEF(15),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c574:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
